//
//  TestViewController.m
//  rotateTrentChart
//
//  Created by paykee on 15/12/23.
//  Copyright © 2015年 jpy. All rights reserved.
//

#import "TestViewController.h"
#import "PYTrendChart.h"

@interface TestViewController()

@property(nonatomic,assign) CGFloat screenHeight;

@property(nonatomic,weak) PYTrendChart *pyTrendChart;

@end

@implementation TestViewController

-(void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor lightGrayColor];
    
    PYTrendChart *pyTrendChart = [[PYTrendChart alloc]initWithFrame:CGRectMake(0, 100, [UIScreen mainScreen].bounds.size.width, 280)];
    self.pyTrendChart = pyTrendChart;
    [self.view addSubview:self.pyTrendChart];

    self.screenHeight = self.view.frame.size.height;
}


- (void)willRotateToInterfaceOrientation:(UIInterfaceOrientation)toInterfaceOrientation duration:(NSTimeInterval)duration{
    NSLog(@"UIViewController will rotate to Orientation: %ld", toInterfaceOrientation);
    if(([UIApplication sharedApplication].statusBarOrientation == UIInterfaceOrientationPortrait) || ([UIApplication sharedApplication].statusBarOrientation == UIInterfaceOrientationPortraitUpsideDown)){//横屏
        NSLog(@"横屏");
        self.pyTrendChart.frame = CGRectMake(0, 0, [UIScreen mainScreen].bounds.size.height, [UIScreen mainScreen].bounds.size.width);
    }else{//竖屏
        NSLog(@"竖屏");
        self.pyTrendChart.frame = CGRectMake(0, 100, [UIScreen mainScreen].bounds.size.width, 280);
    }
}

- (void)didRotateFromInterfaceOrientation:(UIInterfaceOrientation)fromInterfaceOrientation{
    NSLog(@"did rotated to new Orientation, view Information %@", self.view);
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

@end
